all:
  dense:
  deepstrom_no_gamma:
  deepstrom_gamma:

base:
  epoch_numbers: {"-e": [200]}
  batch_sizes: {"-s": [64]}
  val_size: {"-v": [10000]}
  seed: {"-a": "range(1)"}
  quiet: ["-q"]
  dataset: ["--cifar10"]
  dropout: {"-d": [0.5, 1.0]}

gamma:
  gamma: {"-g": [0.01, 0.05, 0.1, 0.5]}

deepstrom:
  network: ["deepstrom"]
  base:
  nys_size: {"-m": [8, 16, 32]}

deepstrom_no_gamma:
  deepstrom:
  kernel: ["-L"]

deepstrom_gamma:
  deepstrom:
  gamma:
  kernel: ["-R"]

dense:
  network: ["dense"]
  base:
  repr_dim: {"-D": [16, 64, 128, 256, 512]}